LSBLK(8)

NAZWA
lsblk - wypisuje urządzenia blokowe

SKŁADNIA

lsblk [opcje] [urządzenie...]

OPIS

lsblk wypisuje informacje o wszystkich dostępnych lub podanych urządzeniach blokowych. Polecenie lsblk odczytuje system plików sysfs i udev db w celu zebrania informacji. Jeśli baza udev jest niedostępna lub skompilowano lsblk bez obsługi udev, stara się on odczytać etykiety, UUID-y i typy systemów plików z urządzenia blokowego. W tym przypadku uprawnienia roota nie są wymagane.

Domyślnie polecenie wypisuje informacje o wszystkich urządzeniach (z wyjątkiem dysków RAM) w postaci drzewa. Za pomocą lsblk --help można uzyskać listę dostępnych kolumn.

Domyślny wynik, jak również domyślny wynik z opcji takich jak --fs i --topology może ulec zmianie. Gdy to tylko możliwe należy unikać używania domyślnych wyników w swoich skryptach. Proszę zawsze jawnie określać oczekiwane kolumny opcją --output lista oraz --list w środowiskach wymagającego stabilnego wyniku.

Proszę zauważyć, że lsblk może być wykonane w momencie, gdy udev nie ma jeszcze wszystkich informacji o ostatnio dodanych lub zmodyfikowanych urządzeniach. W takim przypadku zaleca się użycie najpierw udevadm settle, aby dokonać synchronizacji z udev.

Relacja pomiędzy urządzeniem blokowym a systemem plików nie zawsze jest jak jeden do jednego. System plików może używać więcej urządzeń blokowych lub ten sam system plików może być dostępny w kilku lokalizacjach. Jest to powód, dla którego lsblk udostępnia kolumny MOUNTPOINT i MOUNTPOINTS (odpowiednio: punkt i punkty montowania). Kolumna MOUNTPOINT wyświetla pojedynczy punkt montowania (zwykle ostatnio zamontowany system plików), a kolumna MOUNTPOINTS wyświetla wielowierszową komórkę zawierającą wszystkie punkty montowania związane z urządzeniem.

OPCJE

-a, --all
    Wypisuje również puste urządzenia oraz dyski RAM.

-b, --bytes
    Wypisuje kolumnę SIZE w bajtach zamiast w formacie czytelnym dla ludzi.

-D, --discard
    Wypisuje informacje o funkcjach "discard" (TRIM, UNMAP) przy każdym urządzeniu.

-d, --nodeps
    Nie wypisuje urządzeń nadrzędnych ani podrzędnych. Przykładowo lsblk --nodeps /dev/sda wypisze informacje tylko o urządzeniu sda.

-E, --dedup kolumna
    Kolumna jest kluczem deduplikującym, służącym do usunięcia duplikatów z wynikowego drzewa. Jeśli dla urządzenia nie jest dostępny klucz, lub urządzenie jest partycją, a nadrzędne urządzenie zawierające cały dysk udostępnia ten sam klucz, to urządzenie zawsze zostanie wyświetlone.

    Typowym zastosowaniem jest uniknięcie duplikatów w systemach z urządzeniami dostępnymi w wielu ścieżkach, np. za pomocą opcji -E WWN.

-e, --exclude lista
    Pomija urządzenia podane w liście urządzeń określonych głównymi numerami urządzeń i oddzielonych przecinkami. Domyślnie pomijane są dyski RAM (główny numer urządzenia równy 1), jeśli nie podano opcji --all. Filtr ma zastosowanie jedynie do urządzeń najwyższego poziomu. Może być to mylące, w przypadku formatu wynikowego --list, w którym hierarchia urządzeń nie jest oczywista.

-f, --fs
    Wypisuje informacje o systemach plików. Jest to odpowiednik -o NAME,FSTYPE,FSVER,LABEL,UUID,FSAVAIL,FSUSE%,MOUNTPOINTS. Pełne informacje o systemach plików i macierzach RAID są udostępniane przez polecenie blkid(8).

-h, --help
    Wyświetla ten tekst i kończy pracę.

-I, --include lista
    Obejmuje urządzenia podane w liście urządzeń określonych głównymi numerami urządzeń i oddzielonych przecinkami. Filtr ma zastosowanie jedynie do urządzeń najwyższego poziomu. Może być to mylące w przypadku formatu wynikowego --list, w którym hierarchia urządzeń nie jest oczywista.

-i, --ascii
    Do formatowania drzewa używa znaków ASCII.

-J, --json
    Używa formatu wyjściowego JSON. Zdecydowanie zaleca się używanie opcji --output oraz -tree, jeśli są potrzebne.

-l, --list
    Wypisuje wynik w postaci listy. Brak w nim informacji o powiązaniach pomiędzy urządzeniami, a od wersji 2.34 każde urządzenie jest pokazane tylko raz, o ile nie podano opcji --pairs lub --raw (wyniki nadające się do automatycznego przetwarzania są wstecznie kompatybilne).

-M, --merge
    Grupuje urządzenia nadrzędne dla poddrzew, aby uczynić wynik czytelniejszym w przypadku urządzeń RAID i urządzeń o wielu ścieżkach. Wymagany jest wynik w postaci drzewa.

-m, --perms
    Wypisuje informacje o posiadaczu, grupie i trybie urządzenia. Jest to odpowiednik -o NAME,SIZE,OWNER,GROUP,MODE.

-n, --noheadings
    Nie wypisuje nagłówka.

-o, --output lista
    Określa wypisywane kolumny. Ich listę można poznać podając opcję --help. Kolumny mogą mieć wpływ na wynik w postaci drzewa. Domyślnie drzewo jest używane do kolumny "NAME" (zob. też --tree).

    Domyślną listę kolumn można rozszerzyć, jeśli listę poda się w formacie +lista (np. lsblk -o +UUID).

-O, --output-all
    Wypisuje wszystkie dostępne kolumny.

-P, --pairs
    Produkuje wynik w formie par klucz="wartość". Wynikowe wiersze są wciąż posortowane wg powiązań między urządzeniami. Wszystkie potencjalnie niebezpieczne znaki są cytowane szesnastkowo (\x<kod>). Klucz (nazwę zmiennej) można zmodyfikować, aby zawierał tylko znaki dozwolone jako nazwy zmiennych powłoki np. zamiast MIN-IO i FSUSE% można podać MIN_IO i FSUSE_PCT.

-p, --paths
    Wypisuje pełne ścieżki urządzeń.

-r, --raw
    Produkuje wynik w formacie surowym. Wynikowe wiersze są wciąż posortowane wg powiązań między urządzeniami. Wszystkie potencjalnie niebezpieczne znaki są cytowane szesnastkowo (\x<kod>) w kolumnach NAME, KNAME, LABEL, PARTLABEL i MOUNTPOINT.

-S, --scsi
    Wypisuje informacje jedynie o urządzeniach SCSI. Wszystkie partycje, urządzenia podrzędne i kieszenie na urządzenia są ignorowane.

-s, --inverse
    Wypisuje zależności w odwróconej kolejności. Jeśli zażądano formatu --list, to wiersze są wciąż posortowane wg powiązań między urządzeniami.

-T, --tree[=kolumna]
    Wymusza format w postaci drzewa. Jeśli podano kolumnę, to drzewo jest wyświetlone w danej kolumnie. Domyślnie jest to kolumna NAME.

-t, --topology
    Wypisuje informacje o topologii urządzenia blokowego. Jest to odpowiednik

    -o NAME,ALIGNMENT,MIN-IO,OPT-IO,PHY-SEC,LOG-SEC,ROTA,SCHED,RQ-SIZE,RA,WSAME.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

-w, --width liczba
    Określa szerokość wyjścia jako liczbę znaków. Domyślnie jest to liczba kolumn terminala, a jeśli polecenie nie jest wykonywane w terminalu, to szerokość nie jest domyślnie limitowana. Opcja wymusza również przyjęcie przez lsblk, że znaki kontrolne terminala i niebezpieczne znaki nie są dozwolone. Zakładanym zastosowaniem tej opcji jest np. użycie lsblk przez polecenie watch(1).

-x, --sort kolumna
    Sortuje wynik według kolumny. Opcja ta włącza domyślnie format wyjściowy --list. Można również połączyć ją z opcją --tree, aby wymusić format w postaci drzewa; wówczas jego gałęzie są posortowane według kolumny.

-z, --zoned
    Wypisuje model strefy dla każdego urządzenia.

--sysroot katalog
    Pozyskuje dane dla systemu Linux innego niż ten, z którego uruchomiono lsblk. Podany katalog jest korzeniem systemu Linux, który ma być sprawdzony. Rzeczywiste węzły urządzenia w katalogu docelowym można zastąpić plikami tekstowymi z atrybutami udev.

KOD ZAKOŃCZENIA

0
    sukces

1
    niepowodzenie

32
    nie znaleziono żadnych podanych urządzeń

64
    znaleziono jedynie część podanych urządzeń

ŚRODOWISKO

LSBLK_DEBUG=all
    włącza wyjście debugowania lsblk.

LIBBLKID_DEBUG=all
    włącza wyjście debugowania libblkid.

LIBMOUNT_DEBUG=all
    włącza wyjście debugowania libmount.

LIBSMARTCOLS_DEBUG=all
    włącza wyjście debugowania libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    używa widocznych znaków wypełniających.

UWAGI

W przypadku partycji część informacji (np. atrybuty kolejki) jest dziedziczona z urządzenia nadrzędnego.

Polecenie lsblk musi być w stanie odszukać każde urządzenie blokowe przez nr-główny:nr-poboczny (major:minor), co jest dokonywane za pomocą /sys/dev/block. Ten katalog urządzeń blokowych sysfs pojawił się w wersji jądra 2.6.27 (październik 2008). Jeśli z tak odpowiednio nowym jądrem występują problemy, proszę sprawdzić, czy jądro zbudowano z włączoną opcją CONFIG_SYSFS.

AUTORZY

ZOBACZ TAKŻE

ls(1), blkid(8), findmnt(8)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

Polecenie lsblk jest częścią pakietu util-linux i można je pobrać ze strony

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.